Get overview aggregates for webhook events by date
curl --request GET \
--url https://api.instantly.ai/api/v2/webhook-events/summary-by-date \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/webhook-events/summary-by-date"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/webhook-events/summary-by-date', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/webhook-events/summary-by-date")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/webhook-events/summary-by-date",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/webhook-events/summary-by-date"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"date": "2024-01-01",
"total_events": 100,
"successful_events": 100,
"failed_events": 100,
"success_rate": 50
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Webhook Event
Get overview aggregates for webhook events by date
Get overview aggregates for webhook events by Date for charts
GET
/
api
/
v2
/
webhook-events
/
summary-by-date
Get overview aggregates for webhook events by date
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Inclusive start of the window (YYYY-MM-DD).
Example:
"2024-01-01"
Inclusive end of the window (YYYY-MM-DD).
Example:
"2024-01-31"
Response
List of webhook event KPIs grouped by date
List of webhook event KPIs grouped by date
Show child attributes
Show child attributes
⌘I